Summary:        Implements a XML/HTML/XHTML Markup safe string for Python
Name:           python-markupsafe
Version:        2.1.3
Release:        1%{?dist}
License:        BSD
URL:            https://palletsprojects.com/p/markupsafe/
Source0:        https://github.com/pallets/markupsafe/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc, python3-devel, python3dist(setuptools), python3dist(pytest)

%description
MarkupSafe implements a text object that escapes characters so it is safe to 
use in HTML and XML. Characters that have special meanings are replaced so that
they display as the actual characters. This mitigates injection attacks, 
meaning untrusted user input can safely be displayed on a page.


%package -n python3-markupsafe
Summary:        Implements a XML/HTML/XHTML Markup safe string for Python 3

%description -n python3-markupsafe
MarkupSafe implements a text object that escapes characters so it is safe to 
use in HTML and XML. Characters that have special meanings are replaced so that
they display as the actual characters. This mitigates injection attacks, 
meaning untrusted user input can safely be displayed on a page.



%prep
%autosetup -n markupsafe-%{version}



%build
%py3_build



%install
%py3_install
rm %{buildroot}%{python3_sitearch}/markupsafe/*.c



%check
%pytest



%files -n python3-markupsafe
%license LICENSE.rst
%doc CHANGES.rst README.rst
%{python3_sitearch}/MarkupSafe-%{version}-py%{python3_version}.egg-info/
%{python3_sitearch}/markupsafe/



%changelog
* Mon Sep 25 2023 Wang Guodong <gordonwwang@tencent.com> - 2.1.3-1
- Upgrade to version 2.1.3

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.1-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.1-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Sep 13 2022 Zhao Zhen <jeremiazhao@tencent.com> - 2.1.1-1
- Initial building
